%define upstream_name Class-Method-ModifiersX-Augment
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Adds "augment method => sub {...}" support to Class::Method::Modifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
Class::Method::ModifiersX::Augment extends Class::Method::Modifiers with
the "augment" method modifier, allowing you to use this Moose
abomination for augmenting superclass methods in non-Moose classes.

See Moose::Manual::MethodModifiers for details of how "augment" and its
companion function "inner" work.

This module exports two functions:

"augment NAME, CODE"
"inner"

If you want to use these with Moo classes, please look at MooX::Augment
instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-5.mga8
+ Revision: 1493546
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-4.mga7
+ Revision: 1266453
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.2.0-3.mga6
+ Revision: 1023985
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 965665
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.2.0-1.mga6
+ Revision: 836961
- update to 0.002

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 743136
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 683931
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 530814
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 459879
- imported package perl-Class-Method-ModifiersX-Augment

